<?php
session_start();
//include_once('../config/Conexion');
include '../config/conexion.php';

if(isset($_POST['agregar'])){
	//Imagen de Foto

	$database = new Connection();
	$db = $database->open();
	try{
		//hacer uso de una declaración preparada para prevenir la inyección de sql
		$stmt = $db->prepare("INSERT INTO flota (tipo, marca, modelo, placa, nro_serie, color, ano, carga_maxima,tipo_combustible,tipo_de_aceite,cantidad_aceite,comentarios) 
		VALUES (:tipo, :marca, :modelo, :placa, :nro_serie, :color, :ano, :carga_maxima,:tipo_combustible,:tipo_de_aceite,:cantidad_aceite,:comentarios)");
		//instrucción if-else en la ejecución de nuestra declaración preparada
		$_SESSION['message'] = ( 
		$stmt->execute(array(
        ':tipo' => $_POST['tipo'],
		':marca' => $_POST['marca'], 
        ':modelo' => $_POST['modelo'],
		':placa' => $_POST['placa'], 
        ':nro_serie' => $_POST['nro_serie'],
        ':color' => $_POST['color'],
        ':ano' => $_POST['ano'],
        ':carga_maxima' => $_POST['carga_maxima'],
		':tipo_combustible' => $_POST['tipo_combustible'],
		':tipo_de_aceite' => $_POST['tipo_de_aceite'],
		':cantidad_aceite' => $_POST['cantidad_aceite'],':comentarios' => $_POST['comentarios']))) ? 'Vehículo registrado correctamente!' : 'Algo salió mal. No se puede agregar el vehiculo';	
	    
	}
	catch(PDOException $e){
		$_SESSION['message'] = $e->getMessage();
	}
	//cerrar la conexion
	$database->close();
}

else{
	$_SESSION['message'] = 'Llene el formulario';
}

header('location: ../views/flotas');
	
?>
